
python -m pip install --upgrade pip

git clone https://github.com/FurkanGozukara/InstantID

cd InstantID

# Create virtual environment folder
echo "composing venv"

if [ ! -d "venv" ]; then
    python -m venv venv
else
    echo "venv folder already exists, skipping making new venv..."
fi

source venv/bin/activate



echo installing requirements 



echo Install packages from requirements.txt

cd gradio_demo

pip install torch==2.3.0 torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121 --upgrade
pip install xformers==0.0.26.post1
pip install bitsandbytes==0.43.0 --upgrade
pip install triton

pip install -r requirements.txt

echo downloading model files

cd ..

python downloader.py

echo Virtual environment made and installed properly

