@echo off

echo WARNING. For this auto installer to work you need to have installed Python 3.10.x and C++ tools 
echo follow this tutorial : https://youtu.be/-NjNy7afOQ0

pip install requests

git clone https://github.com/FurkanGozukara/InstantID

cd InstantID

python -m venv venv

call .\venv\Scripts\activate.bat

cd gradio_demo

pip install -r requirements.txt

echo installing requirements 

pip install torch==2.3.0 torchvision torchaudio --index-url https://download.pytorch.org/whl/cu121 --upgrade
pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/triton-2.1.0-cp310-cp310-win_amd64.whl
pip install xformers==0.0.26.post1
pip install bitsandbytes==0.43.0 --upgrade

cd ..

python downloader.py

REM Show completion message
echo Virtual environment made and installed properly

REM Pause to keep the command prompt open
pause